Bug 176120 - Panic on booting any kernel after 2.6.13-1.1526 with SATA
Panic on booting any kernel after 2.6.13-1.1526 with SATA
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 11:48 EST by Andy Piper
Modified: 2013-07-02 22:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Piper 2005-12-19 11:48:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 (CK-IBM) Firefox/1.5

Description of problem:
None of the 2.6.14 kernel updates will boot on my system. FC4 is installed on an sata_via system with software RAID. On booting, immediately after init there are errors:

mount: error 22 mounting ext3
...
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
...
switchroot: mount failed: 22
Kernel panic...
...

System is an Athlon64 running i386 kernel on Gigabyte K8VNXP motherboard.


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653

How reproducible:
Always

Steps to Reproduce:
1. Attempt to boot from grub with a 2.6.14-1.xxx_FC4 kernel
2. 
3.
  

Actual Results:  Kernel panic

Expected Results:  System boots normally

Additional info:

I've read various reports about this being related to either module changes upstream, or mkinitrd not executing properly.

I've tried removing /etc/sysconfig/hwconf and /etc/modprobe.conf, rebuilding them via kudzu whilst running kernel 2.6.13-1.1526_FC4 (the last one to boot successfully), re-running mkinitrd and comparing the contents with the initrd installed with the kernel... no luck, kernel panic every time.

/etc/modprobe.conf:
alias eth0 via-rhine
alias eth1 off
alias scsi_hostadapter sata_via
options scsi_mod max_scsi_luns=127
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 && /usr/sbin/als
actl restore >/dev/null 2>&1 || :
remove snd-emu10k1 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; }; /sbin/mod
probe -r --ignore-remove snd-emu10k1
alias snd-card-1 snd-usb-audio
options snd-card-1 index=1
install snd-usb-audio /sbin/modprobe --ignore-install snd-usb-audio && /usr/sbin
/alsactl restore >/dev/null 2>&1 || :
remove snd-usb-audio { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; }; /sbin/m
odprobe -r --ignore-remove snd-usb-audio
alias char-major-81 bttv
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394
alias net-pf-10 off
options nvidia NVreg_EnableAGPSBA=1 NVreg_EnableAGPFW=1
alias char-major-195* nvidia
alias ipv6 off
Comment 1 Dave Jones 2006-02-03 02:12:39 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 John Thacker 2006-05-05 10:53:28 EDT
Closing per last comment.

Note You need to log in before you can comment on or make changes to this bug.